gr::satellites::convolutional_encoder Class Reference

Convolutional encoder. More...

`#include <convolutional_encoder.h>`

Inheritance diagram for gr::satellites::convolutional_encoder:

## Public Types

typedef std::shared_ptr< convolutional_encoder > | sptr

## Static Public Member Functions

static sptr | make (int constraint, const std::vector< int > &polynomials)
| Return a shared_ptr to a new instance of satellites::convolutional_encoder.

## Detailed Description

Convolutional encoder.

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<convolutional_encoder> gr::satellites::convolutional_encoder::sptr

## Member Function Documentation

## make()

sptr gr::satellites::convolutional_encoder::make | ( | int | constraint,
|  | const std::vector< int > & | polynomials )

static

Return a shared_ptr to a new instance of satellites::convolutional_encoder.

To avoid accidental use of raw pointers, satellites::convolutional_encoder's constructor is in a private implementation class. satellites::convolutional_encoder::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- convolutional_encoder.h